Insert a fraud rule
POST/fraud/rules
Creates a fraud rule for this merchant account. Field names in the request body are semantic (eg amount_threshold, email, ip_address). Call GET /v2/fraud/lookup_values for the list of valid rule_type, failure_action, and related dropdown values. The 'credit card matches' rule type is not supported via REST.
Request
Responses
- 200
- 400
- 401
- 410
- 429
- 500
Successful response
Status Code 400: bad request input such as invalid json
Response Headers
Contains human readable error message
Status Code 401: invalid credentials supplied
Response Headers
Contains human readable error message
Status Code 410: Your authorized application has been disabled by UltraCart
Response Headers
Contains human readable error message
Status Code 429: you have exceeded the allowed API call rate limit for your application.
Response Headers
Contains human readable error message
Status Code 500: any server side error. the body will contain a generic server error message
Response Headers
Contains human readable error message